<div class="container">

	<h1 class="title">
	  {{ 'PAGES.CRYPTO.CRYPTO' | translate }}
	</h1>
  
  
	<div class="flex-container">

	  <!--Input-->
	  <div class="flex-item item1" >
		<mat-card class="matcard">
			<p class="marginlessBottom">{{ 'GENERAL.INPUT' | translate }}:</p>
			<div class="outer-input-field outline">
				<!--<p contenteditable no-line-breaks="true" #inputField class="inputField" (input)="inputStr=inputField.innerText"></p>-->
				<textarea #inputField class="inputField" (input)="inputStr=$event.target.value"></textarea>
			</div>
		  
			<div *ngIf="algoDict[selectedAlgo].keyType == 1">
				<p class="marginlessBottom">{{ 'PAGES.CRYPTO.KEY' | translate }}: <i>({{ 'PAGES.CRYPTO.NUMBERSONLY' | translate }})</i></p>
				<p class="outline marginlessBottom"><input class="keyInput" type="number" #keyField (change)='key=$event.target.value' value="0"></p>
			</div>
			<div *ngIf="algoDict[selectedAlgo].keyType == 2">
				<p class="marginlessBottom">{{ 'PAGES.CRYPTO.PW' | translate }}: 
					<i *ngIf="algoDict[selectedAlgo].value == 'caesar-1'">({{ 'PAGES.CRYPTO.CAESARHINT' | translate }})</i>
					<i *ngIf="algoDict[selectedAlgo].value == 'vigenere-7'">({{ 'PAGES.CRYPTO.VIGENEREHINT' | translate }})</i>
				</p>
				<p class="outline marginlessBottom" contenteditable #pwField (input)="updatePassword(pwField.innerText)"></p>
			</div>
		</mat-card>
		</div>


	  <!--Options-->
	  <div class="flex-item item2" >
		<mat-form-field appearance="fill">
			<mat-label>{{ 'PAGES.CRYPTO.TYPE' | translate }}</mat-label>
			<mat-select [(value)]="selectedAlgo">
			  <mat-option *ngFor="let algo of algorithms" [value]="algo.value">
				{{algo.viewValue | translate}}
			  </mat-option>
			</mat-select>
		</mat-form-field>

		<mat-button-toggle-group class="mattoggle" name="mode" [(value)]="mode">
			<mat-button-toggle value="enc">{{ 'PAGES.CRYPTO.ENCRYPT' | translate }}</mat-button-toggle>
			<mat-button-toggle value="dec">{{ 'PAGES.CRYPTO.DECRYPT' | translate }}</mat-button-toggle>
		</mat-button-toggle-group>

		<a class="runBtn" (click)="runJar()" [ngClass]="{'disabled': !inputStr || (algoDict[selectedAlgo].keyType == 2 && !validPw)}">{{ 'PAGES.CRYPTO.EXECUTE' | translate }}</a>
	  </div>


	  <!--Output-->
	  <div class="flex-item item3" >
		<mat-card class="matcard flex-item">
			<p class="marginlessBottom">{{ 'GENERAL.OUTPUT' | translate }}:</p>
			<div class="outer-input-field outline">
				<p class="outputField" >{{ outputStr }}</p>
			</div>

		</mat-card>
	  </div>
	</div>
  
  </div>
  
  